<img src="https://www.ryanliptak.com/images/applecore.png" width="32" /> [AppleCore](https://minecraft.curseforge.com/projects/applecore) [![Build Status](https://travis-ci.org/squeek502/AppleCore.svg)](https://travis-ci.org/squeek502/AppleCore)
===========

An API for modifying the food and hunger mechanics of Minecraft.

### Using AppleCore
* [Building against AppleCore](https://github.com/squeek502/AppleCore/wiki/Building-against-AppleCore)
* [AppleCore features](https://github.com/squeek502/AppleCore/wiki/AppleCore-features)
* [Using the AppleCore API](https://github.com/squeek502/AppleCore/wiki/Using-the-AppleCore-API)
* [Integrating food items with AppleCore](https://github.com/squeek502/AppleCore/wiki/Integrating-food-items-with-AppleCore)
* [Integrating plants with AppleCore](https://github.com/squeek502/AppleCore/wiki/Integrating-plants-with-AppleCore)

#### Mods that use AppleCore
* [Hunger Overhaul](https://github.com/progwml6/HungerOverhaul) – *Extensive tweaks to hunger and related mechanics*
* [The Spice of Life](https://github.com/squeek502/SpiceOfLife/tree/1.7.10) – *Encourages dietary variety through diminishing returns*
* [Hunger In Peace](https://github.com/squeek502/HungerInPeace) – *Normal hunger and health regen in peaceful*

---

### Building AppleCore
1. git clone --recursive https://gitlab.com/AtomMC/AppleCore.git
2. Open a command line and execute ```gradlew build```
